#
# Conditional build:
%bcond_with	apidocs # don't generate apidocs subpackage

Summary:	A source code converter to HTML, XHTML, RTF, TeX, LaTeX, XSL-FO, and XML
Summary(pl.UTF-8):	Konwerter kodu źródłowego do formatów HTML, XHTML, RTF, TeX, LaTeX, XSL-FO oraz XML
Name:		highlight
Version:	3.34
Release:	1
License:	GPL v3
Group:		Applications/Publishing
Source0:	http://www.andre-simon.de/zip/%{name}-%{version}.tar.bz2
# Source0-md5:	6c886515231f5c16eca991a736eefe6e
Patch0:		%{name}-Makefile.patch
URL:		http://www.andre-simon.de/
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	boost-devel
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libstdc++-devel
BuildRequires:	lua52-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/highlight

%description
Highlight is a universal converter from source code to HTML, XHTML,
RTF, TeX, LaTeX, XSL-FO, and XML. (X)HTML output is formatted by
Cascading Style Sheets. It supports 100 programming languages and
includes 50 highlighting color themes. It's possible to easily enhance
the parsing database. The converter includes some features to provide
a consistent layout of the input code.

%description -l pl.UTF-8
Highlight jest uniwersalnym konwerterem kodu źródłowego do formatów
HTML, XHTML, RTF, TeX, LaTeX, XSL-FO, and XML. Wyjście (X)HTML jest
formatowane przez kaskadowe arkusze stylów (CSS). Highlight wspiera
100 języków programowania i zawiera 50 kolorystycznych motywów
podświetlania składni. Umożliwia łatwe ulepszanie bazy parsowania.
Konwerter zawiera pewne cechy zapewniające spójny układ graficzny kodu
wejściowego.

%package apidocs
Summary:	API documentation for highlight - a source code converter to HTML, XHTML, RTF, TeX, LaTeX, XSL-FO, and XML
Summary(pl.UTF-8):	Dokumentacja API highlight - konwertera kodu źródłowego do HTML, XHTML, RTF, TeX, LaTeX, XSL-FO oraz XML
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for highlight - a source code converter to HTML,
XHTML, RTF, TeX, LaTeX, XSL-FO, and XML.

%description apidocs -l pl.UTF-8
Dokumentacja API highlight - konwertera kodu źródłowego do formatu
HTML, XHTML, RTF, TeX, LaTeX, XSL-FO oraz XML.

%package gui
Summary:	GUI for highlight - a source code converter to HTML, XHTML, RTF, TeX, LaTeX, XSL-FO, and XML
Summary(pl.UTF-8):	GUI do highlight - konwertera kodu źródłowego do HTML, XHTML, RTF, TeX, LaTeX, XSL-FO oraz XML
Group:		Development/Tools
Requires:	%{name}

%description gui
Qt4 GUI for for highlight - a source code converter to HTML, XHTML,
RTF, TeX, LaTeX, XSL-FO, and XML.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags} -std=c++11"
%{__make} gui \
	QMAKE=qmake-qt4 \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags} -std=c++11 "'$(DEFINES)'

%{?with_apidocs:%{__make} apidocs}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install-gui \
	DESTDIR=$RPM_BUILD_ROOT

# to avoid false `warning: Installed (but unpackaged) file(s) found:' - these files are packaged through %doc
rm -fr $RPM_BUILD_ROOT%{_docdir}/highlight

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README README_LANGLIST README_REGEX TODO examples
%lang(de) %doc README_DE
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/langDefs
%{_datadir}/%{name}/themes
%{_mandir}/man1/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc apidocs/html/*
%endif

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-gui
%dir %{_datadir}/%{name}/gui_files
%dir %{_datadir}/%{name}/gui_files/l10n
%lang(cs) %dir %{_datadir}/%{name}/gui_files/l10n/highlight_cs_CZ.qm
%lang(de) %dir %{_datadir}/%{name}/gui_files/l10n/highlight_de_DE.qm
%lang(es) %dir %{_datadir}/%{name}/gui_files/l10n/highlight_es_ES.qm
%lang(zh) %dir %{_datadir}/%{name}/gui_files/l10n/highlight_zh_CN.qm
%{_datadir}/%{name}/gui_files/ext
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/*.lua
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.xpm
%changelog
* Sun Feb 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/highlight.git;a=log;h=master

* Tue Jan 24 2017 Jan Palus <atler@pld-linux.org> 9d86d0c
- up to 3.34

* Sun Jul 24 2016 Jan Palus <atler@pld-linux.org> 7a8012a
- up to 3.30

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 6f17451
- force moc regeneration
- rel 3

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 6dca621
- noarch apidoc

* Tue May 25 2010 Szymon Siwek <sls@pld-linux.org> 0cf9473
- ver. 2.16

* Mon Feb 01 2010 Tomasz Pala <gotar@pld-linux.org> bc00ee0
- use QT4 qmake

* Mon Feb 01 2010 Tomasz Pala <gotar@pld-linux.org> d8b762a
- upgraded to 2.14

* Tue Oct 13 2009 Tomasz Pala <gotar@pld-linux.org> f6bd537
- updated to 2.13

* Tue Oct 13 2009 Tomasz Pala <gotar@pld-linux.org> 36d085e
- md5 update

* Tue Oct 13 2009 Tomasz Pala <gotar@pld-linux.org> 758806a
- upgraded to 2.13

* Tue Sep 08 2009 Tomasz Pala <gotar@pld-linux.org> 597ed62
- upgraded to 2.11

* Mon Jul 06 2009 Tomasz Pala <gotar@pld-linux.org> 54d6d16
- pass paths to gui,
- move more files to gui subpackage,
- added missing BR.

* Mon Jul 06 2009 Tomasz Pala <gotar@pld-linux.org> 761eb7d
- upgraded to 2.10, GPL v2 replaced with GPL v3,
- added gui subpackage

* Wed May 27 2009 Tomasz Pala <gotar@pld-linux.org> 78f01f4
- upgraded to 2.9

* Fri Apr 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> dc15bb6
- release 2

* Fri Apr 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 9274fa2
- no config() for dir

* Fri Apr 13 2007 qrczak <qrczak@pld-linux.org> 2e47ff0
- Package /etc/highlight itself too.

* Sun Apr 08 2007 shadzik <shadzik@pld-linux.org> d75a146
- rel 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d4345fd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 100d6ec
- converted to UTF-8

